LoadValuesButton (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform.formitem

## Class LoadValuesButton

- java.lang.Object
- - com.twosigma.beakerx.easyform.EasyFormComponent
  - - com.twosigma.beakerx.easyform.formitem.LoadValuesButton

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality

      public class LoadValuesButton
      extends EasyFormComponent

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `widget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadValuesButton()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getPath()`
    `java.lang.String` | `getValue()`
    `com.twosigma.beakerx.widget.ValueWidget<?>` | `getWidget()`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setPath(java.lang.String path)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class com.twosigma.beakerx.easyform.EasyFormComponent

      `addOnChangeListener, addOnInitListener, checkValue, clearListeners, close, fireChanged, fireInit, formatValue, getComm, isButton, isEnabled, onChange, onInit, registerUpdateValueCallback, removeOnChangeListener, removeOnInitListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadValuesButton

          public LoadValuesButton()

  - ### Method Detail

    - #### setPath

          public void setPath(java.lang.String path)

    - #### getPath

          public java.lang.String getPath()

    - #### getWidget

          public com.twosigma.beakerx.widget.ValueWidget<?> getWidget()

      Overrides:
        `getWidget` in class `EasyFormComponent`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `EasyFormComponent`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Overrides:
        `setLabel` in class `EasyFormComponent`

    - #### getValue

          public java.lang.String getValue()

      Overrides:
        `getValue` in class `EasyFormComponent`

    - #### setValue

          public void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `EasyFormComponent`